diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/netanim/bindings/modulegen__gcc_LP64.py ns-3.31/src/netanim/bindings/modulegen__gcc_LP64.py
--- ns-3.30.1/src/netanim/bindings/modulegen__gcc_LP64.py	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/netanim/bindings/modulegen__gcc_LP64.py	2020-06-27 17:38:30.000000000 -0700
@@ -443,87 +2037,69 @@
                    is_const=True)
     return
 
-def register_Ns3AnimPacketInfo_methods(root_module, cls):
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimPacketInfo::AnimPacketInfo(ns3::AnimPacketInfo const & arg0) [copy constructor]
-    cls.add_constructor([param('ns3::AnimPacketInfo const &', 'arg0')])
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimPacketInfo::AnimPacketInfo() [constructor]
-    cls.add_constructor([])
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimPacketInfo::AnimPacketInfo(ns3::Ptr<ns3::NetDevice const> tx_nd, ns3::Time const & fbTx, ns3::Time const & lbTx, ns3::Vector txLoc, uint32_t txNodeId=0) [constructor]
-    cls.add_constructor([param('ns3::Ptr< ns3::NetDevice const >', 'tx_nd'), param('ns3::Time const &', 'fbTx'), param('ns3::Time const &', 'lbTx'), param('ns3::Vector', 'txLoc'), param('uint32_t', 'txNodeId', default_value='0')])
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimRxInfo ns3::AnimPacketInfo::GetRxInfo(ns3::Ptr<ns3::NetDevice const> nd) [member function]
-    cls.add_method('GetRxInfo', 
-                   'ns3::AnimRxInfo', 
-                   [param('ns3::Ptr< ns3::NetDevice const >', 'nd')])
-    ## animation-interface-helper.h (module 'netanim'): void ns3::AnimPacketInfo::ProcessRxBegin(ns3::Ptr<ns3::NetDevice const> nd, ns3::Time const & fbRx) [member function]
-    cls.add_method('ProcessRxBegin', 
-                   'void', 
-                   [param('ns3::Ptr< ns3::NetDevice const >', 'nd'), param('ns3::Time const &', 'fbRx')])
-    ## animation-interface-helper.h (module 'netanim'): void ns3::AnimPacketInfo::ProcessRxDrop(ns3::Ptr<ns3::NetDevice const> nd) [member function]
-    cls.add_method('ProcessRxDrop', 
-                   'void', 
-                   [param('ns3::Ptr< ns3::NetDevice const >', 'nd')])
-    ## animation-interface-helper.h (module 'netanim'): bool ns3::AnimPacketInfo::ProcessRxEnd(ns3::Ptr<ns3::NetDevice const> nd, ns3::Time const & fbRx, ns3::Vector rxLoc) [member function]
-    cls.add_method('ProcessRxEnd', 
-                   'bool', 
-                   [param('ns3::Ptr< ns3::NetDevice const >', 'nd'), param('ns3::Time const &', 'fbRx'), param('ns3::Vector', 'rxLoc')])
-    ## animation-interface-helper.h (module 'netanim'): void ns3::AnimPacketInfo::RemoveRxInfo(ns3::Ptr<ns3::NetDevice const> nd) [member function]
-    cls.add_method('RemoveRxInfo', 
-                   'void', 
-                   [param('ns3::Ptr< ns3::NetDevice const >', 'nd')])
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimPacketInfo::firstlastbitDelta [variable]
-    cls.add_instance_attribute('firstlastbitDelta', 'double', is_const=False)
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimPacketInfo::m_fbTx [variable]
-    cls.add_instance_attribute('m_fbTx', 'double', is_const=False)
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimPacketInfo::m_lbTx [variable]
-    cls.add_instance_attribute('m_lbTx', 'double', is_const=False)
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimPacketInfo::m_rx [variable]
-    cls.add_instance_attribute('m_rx', 'std::map< unsigned int, ns3::AnimRxInfo >', is_const=False)
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimPacketInfo::m_txLoc [variable]
-    cls.add_instance_attribute('m_txLoc', 'ns3::Vector', is_const=False)
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimPacketInfo::m_txNodeId [variable]
-    cls.add_instance_attribute('m_txNodeId', 'uint32_t', is_const=False)
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimPacketInfo::m_txnd [variable]
-    cls.add_instance_attribute('m_txnd', 'ns3::Ptr< ns3::NetDevice const >', is_const=False)
-    return
-
-def register_Ns3AnimRxInfo_methods(root_module, cls):
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimRxInfo::AnimRxInfo(ns3::AnimRxInfo const & arg0) [copy constructor]
-    cls.add_constructor([param('ns3::AnimRxInfo const &', 'arg0')])
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimRxInfo::AnimRxInfo() [constructor]
-    cls.add_constructor([])
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimRxInfo::AnimRxInfo(ns3::Time const & fbRx, ns3::Ptr<ns3::NetDevice const> nd, double rxRange) [constructor]
-    cls.add_constructor([param('ns3::Time const &', 'fbRx'), param('ns3::Ptr< ns3::NetDevice const >', 'nd'), param('double', 'rxRange')])
-    ## animation-interface-helper.h (module 'netanim'): bool ns3::AnimRxInfo::IsPhyRxComplete() [member function]
-    cls.add_method('IsPhyRxComplete', 
-                   'bool', 
-                   [])
-    ## animation-interface-helper.h (module 'netanim'): void ns3::AnimRxInfo::SetPhyRxComplete() [member function]
-    cls.add_method('SetPhyRxComplete', 
-                   'void', 
-                   [])
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimRxInfo::m_fbRx [variable]
-    cls.add_instance_attribute('m_fbRx', 'double', is_const=False)
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimRxInfo::m_lbRx [variable]
-    cls.add_instance_attribute('m_lbRx', 'double', is_const=False)
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimRxInfo::m_rxnd [variable]
-    cls.add_instance_attribute('m_rxnd', 'ns3::Ptr< ns3::NetDevice const >', is_const=False)
-    ## animation-interface-helper.h (module 'netanim'): ns3::AnimRxInfo::rxRange [variable]
-    cls.add_instance_attribute('rxRange', 'double', is_const=False)
+def register_Ns3AllocationRetentionPriority_methods(root_module, cls):
+    ## eps-bearer.h (module 'lte'): ns3::AllocationRetentionPriority::AllocationRetentionPriority(ns3::AllocationRetentionPriority const & arg0) [constructor]
+    cls.add_constructor([param('ns3::AllocationRetentionPriority const &', 'arg0')])
+    ## eps-bearer.h (module 'lte'): ns3::AllocationRetentionPriority::AllocationRetentionPriority() [constructor]
+    cls.add_constructor([])
+    ## eps-bearer.h (module 'lte'): ns3::AllocationRetentionPriority::preemptionCapability [variable]
+    cls.add_instance_attribute('preemptionCapability', 'bool', is_const=False)
+    ## eps-bearer.h (module 'lte'): ns3::AllocationRetentionPriority::preemptionVulnerability [variable]
+    cls.add_instance_attribute('preemptionVulnerability', 'bool', is_const=False)
+    ## eps-bearer.h (module 'lte'): ns3::AllocationRetentionPriority::priorityLevel [variable]
+    cls.add_instance_attribute('priorityLevel', 'uint8_t', is_const=False)
     return
 
 def register_Ns3AnimationInterface_methods(root_module, cls):
-    ## animation-interface.h (module 'netanim'): ns3::AnimationInterface::AnimationInterface(ns3::AnimationInterface const & arg0) [copy constructor]
+    ## animation-interface.h (module 'netanim'): ns3::AnimationInterface::AnimationInterface(ns3::AnimationInterface const & arg0) [constructor]
     cls.add_constructor([param('ns3::AnimationInterface const &', 'arg0')])
-    ## animation-interface.h (module 'netanim'): ns3::AnimationInterface::AnimationInterface() [constructor]
-    cls.add_constructor([])
-    ## animation-interface.h (module 'netanim'): ns3::AnimationInterface::AnimationInterface(std::string const filename, uint64_t maxPktsPerFile=100000, bool usingXML=true) [constructor]
-    cls.add_constructor([param('std::string const', 'filename'), param('uint64_t', 'maxPktsPerFile', default_value='100000'), param('bool', 'usingXML', default_value='true')])
-    ## animation-interface.h (module 'netanim'): ns3::AnimationInterface::AnimationInterface(uint16_t port, bool usingXML=true) [constructor]
-    cls.add_constructor([param('uint16_t', 'port'), param('bool', 'usingXML', default_value='true')])
-    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::EnablePacketMetadata(bool enable) [member function]
+    ## animation-interface.h (module 'netanim'): ns3::AnimationInterface::AnimationInterface(std::string const filename) [constructor]
+    cls.add_constructor([param('std::string const', 'filename')])
+    ## animation-interface.h (module 'netanim'): uint32_t ns3::AnimationInterface::AddNodeCounter(std::string counterName, ns3::AnimationInterface::CounterType counterType) [member function]
+    cls.add_method('AddNodeCounter', 
+                   'uint32_t', 
+                   [param('std::string', 'counterName'), param('ns3::AnimationInterface::CounterType', 'counterType')])
+    ## animation-interface.h (module 'netanim'): uint32_t ns3::AnimationInterface::AddResource(std::string resourcePath) [member function]
+    cls.add_method('AddResource', 
+                   'uint32_t', 
+                   [param('std::string', 'resourcePath')])
+    ## animation-interface.h (module 'netanim'): ns3::AnimationInterface & ns3::AnimationInterface::AddSourceDestination(uint32_t fromNodeId, std::string destinationIpv4Address) [member function]
+    cls.add_method('AddSourceDestination', 
+                   'ns3::AnimationInterface &', 
+                   [param('uint32_t', 'fromNodeId'), param('std::string', 'destinationIpv4Address')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::EnableIpv4L3ProtocolCounters(ns3::Time startTime, ns3::Time stopTime, ns3::Time pollInterval=ns3::Seconds(1)) [member function]
+    cls.add_method('EnableIpv4L3ProtocolCounters', 
+                   'void', 
+                   [param('ns3::Time', 'startTime'), param('ns3::Time', 'stopTime'), param('ns3::Time', 'pollInterval', default_value='ns3::Seconds(1)')])
+    ## animation-interface.h (module 'netanim'): ns3::AnimationInterface & ns3::AnimationInterface::EnableIpv4RouteTracking(std::string fileName, ns3::Time startTime, ns3::Time stopTime, ns3::Time pollInterval=ns3::Seconds(5)) [member function]
+    cls.add_method('EnableIpv4RouteTracking', 
+                   'ns3::AnimationInterface &', 
+                   [param('std::string', 'fileName'), param('ns3::Time', 'startTime'), param('ns3::Time', 'stopTime'), param('ns3::Time', 'pollInterval', default_value='ns3::Seconds(5)')])
+    ## animation-interface.h (module 'netanim'): ns3::AnimationInterface & ns3::AnimationInterface::EnableIpv4RouteTracking(std::string fileName, ns3::Time startTime, ns3::Time stopTime, ns3::NodeContainer nc, ns3::Time pollInterval=ns3::Seconds(5)) [member function]
+    cls.add_method('EnableIpv4RouteTracking', 
+                   'ns3::AnimationInterface &', 
+                   [param('std::string', 'fileName'), param('ns3::Time', 'startTime'), param('ns3::Time', 'stopTime'), param('ns3::NodeContainer', 'nc'), param('ns3::Time', 'pollInterval', default_value='ns3::Seconds(5)')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::EnablePacketMetadata(bool enable=true) [member function]
     cls.add_method('EnablePacketMetadata', 
                    'void', 
-                   [param('bool', 'enable')])
+                   [param('bool', 'enable', default_value='true')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::EnableQueueCounters(ns3::Time startTime, ns3::Time stopTime, ns3::Time pollInterval=ns3::Seconds(1)) [member function]
+    cls.add_method('EnableQueueCounters', 
+                   'void', 
+                   [param('ns3::Time', 'startTime'), param('ns3::Time', 'stopTime'), param('ns3::Time', 'pollInterval', default_value='ns3::Seconds(1)')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::EnableWifiMacCounters(ns3::Time startTime, ns3::Time stopTime, ns3::Time pollInterval=ns3::Seconds(1)) [member function]
+    cls.add_method('EnableWifiMacCounters', 
+                   'void', 
+                   [param('ns3::Time', 'startTime'), param('ns3::Time', 'stopTime'), param('ns3::Time', 'pollInterval', default_value='ns3::Seconds(1)')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::EnableWifiPhyCounters(ns3::Time startTime, ns3::Time stopTime, ns3::Time pollInterval=ns3::Seconds(1)) [member function]
+    cls.add_method('EnableWifiPhyCounters', 
+                   'void', 
+                   [param('ns3::Time', 'startTime'), param('ns3::Time', 'stopTime'), param('ns3::Time', 'pollInterval', default_value='ns3::Seconds(1)')])
+    ## animation-interface.h (module 'netanim'): double ns3::AnimationInterface::GetNodeEnergyFraction(ns3::Ptr<const ns3::Node> node) const [member function]
+    cls.add_method('GetNodeEnergyFraction', 
+                   'double', 
+                   [param('ns3::Ptr< ns3::Node const >', 'node')], 
+                   is_const=True)
     ## animation-interface.h (module 'netanim'): uint64_t ns3::AnimationInterface::GetTracePktCount() [member function]
     cls.add_method('GetTracePktCount', 
                    'uint64_t', 
@@ -541,41 +2117,27 @@
     cls.add_method('ResetAnimWriteCallback', 
                    'void', 
                    [])
-    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::SetAnimWriteCallback(void (*)( char const * ) * cb) [member function]
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::SetAnimWriteCallback(ns3::AnimationInterface::AnimWriteCallback cb) [member function]
     cls.add_method('SetAnimWriteCallback', 
                    'void', 
-                   [param('void ( * ) ( char const * ) *', 'cb')])
+                   [param('void ( * ) ( char const * )', 'cb')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::SetBackgroundImage(std::string fileName, double x, double y, double scaleX, double scaleY, double opacity) [member function]
+    cls.add_method('SetBackgroundImage', 
+                   'void', 
+                   [param('std::string', 'fileName'), param('double', 'x'), param('double', 'y'), param('double', 'scaleX'), param('double', 'scaleY'), param('double', 'opacity')])
     ## animation-interface.h (module 'netanim'): static void ns3::AnimationInterface::SetConstantPosition(ns3::Ptr<ns3::Node> n, double x, double y, double z=0) [member function]
     cls.add_method('SetConstantPosition', 
                    'void', 
                    [param('ns3::Ptr< ns3::Node >', 'n'), param('double', 'x'), param('double', 'y'), param('double', 'z', default_value='0')], 
                    is_static=True)
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::SetMaxPktsPerTraceFile(uint64_t maxPktsPerFile) [member function]
+    cls.add_method('SetMaxPktsPerTraceFile', 
+                   'void', 
+                   [param('uint64_t', 'maxPktsPerFile')])
     ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::SetMobilityPollInterval(ns3::Time t) [member function]
     cls.add_method('SetMobilityPollInterval', 
                    'void', 
                    [param('ns3::Time', 't')])
-    ## animation-interface.h (module 'netanim'): static void ns3::AnimationInterface::SetNodeDescription(ns3::Ptr<ns3::Node> n, std::string descr) [member function]
-    cls.add_method('SetNodeDescription', 
-                   'void', 
-                   [param('ns3::Ptr< ns3::Node >', 'n'), param('std::string', 'descr')], 
-                   is_static=True)
-    ## animation-interface.h (module 'netanim'): static void ns3::AnimationInterface::SetNodeDescription(ns3::NodeContainer nc, std::string descr) [member function]
-    cls.add_method('SetNodeDescription', 
-                   'void', 
-                   [param('ns3::NodeContainer', 'nc'), param('std::string', 'descr')], 
-                   is_static=True)
-    ## animation-interface.h (module 'netanim'): bool ns3::AnimationInterface::SetOutputFile(std::string const & fn) [member function]
-    cls.add_method('SetOutputFile', 
-                   'bool', 
-                   [param('std::string const &', 'fn')])
-    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::SetRandomPosition(bool setRandPos) [member function]
-    cls.add_method('SetRandomPosition', 
-                   'void', 
-                   [param('bool', 'setRandPos')])
-    ## animation-interface.h (module 'netanim'): bool ns3::AnimationInterface::SetServerPort(uint16_t port) [member function]
-    cls.add_method('SetServerPort', 
-                   'bool', 
-                   [param('uint16_t', 'port')])
     ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::SetStartTime(ns3::Time t) [member function]
     cls.add_method('SetStartTime', 
                    'void', 
@@ -584,44 +2146,68 @@
     cls.add_method('SetStopTime', 
                    'void', 
                    [param('ns3::Time', 't')])
-    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::SetXMLOutput() [member function]
-    cls.add_method('SetXMLOutput', 
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::SkipPacketTracing() [member function]
+    cls.add_method('SkipPacketTracing', 
                    'void', 
                    [])
-    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::ShowAll802_11(bool showAll) [member function]
-    cls.add_method('ShowAll802_11', 
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::UpdateLinkDescription(uint32_t fromNode, uint32_t toNode, std::string linkDescription) [member function]
+    cls.add_method('UpdateLinkDescription', 
                    'void', 
-                   [param('bool', 'showAll')])
-    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::StartAnimation(bool restart=false) [member function]
-    cls.add_method('StartAnimation', 
+                   [param('uint32_t', 'fromNode'), param('uint32_t', 'toNode'), param('std::string', 'linkDescription')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::UpdateLinkDescription(ns3::Ptr<ns3::Node> fromNode, ns3::Ptr<ns3::Node> toNode, std::string linkDescription) [member function]
+    cls.add_method('UpdateLinkDescription', 
+                   'void', 
+                   [param('ns3::Ptr< ns3::Node >', 'fromNode'), param('ns3::Ptr< ns3::Node >', 'toNode'), param('std::string', 'linkDescription')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::UpdateNodeColor(ns3::Ptr<ns3::Node> n, uint8_t r, uint8_t g, uint8_t b) [member function]
+    cls.add_method('UpdateNodeColor', 
+                   'void', 
+                   [param('ns3::Ptr< ns3::Node >', 'n'), param('uint8_t', 'r'), param('uint8_t', 'g'), param('uint8_t', 'b')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::UpdateNodeColor(uint32_t nodeId, uint8_t r, uint8_t g, uint8_t b) [member function]
+    cls.add_method('UpdateNodeColor', 
+                   'void', 
+                   [param('uint32_t', 'nodeId'), param('uint8_t', 'r'), param('uint8_t', 'g'), param('uint8_t', 'b')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::UpdateNodeCounter(uint32_t nodeCounterId, uint32_t nodeId, double counter) [member function]
+    cls.add_method('UpdateNodeCounter', 
+                   'void', 
+                   [param('uint32_t', 'nodeCounterId'), param('uint32_t', 'nodeId'), param('double', 'counter')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::UpdateNodeDescription(ns3::Ptr<ns3::Node> n, std::string descr) [member function]
+    cls.add_method('UpdateNodeDescription', 
+                   'void', 
+                   [param('ns3::Ptr< ns3::Node >', 'n'), param('std::string', 'descr')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::UpdateNodeDescription(uint32_t nodeId, std::string descr) [member function]
+    cls.add_method('UpdateNodeDescription', 
+                   'void', 
+                   [param('uint32_t', 'nodeId'), param('std::string', 'descr')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::UpdateNodeImage(uint32_t nodeId, uint32_t resourceId) [member function]
+    cls.add_method('UpdateNodeImage', 
+                   'void', 
+                   [param('uint32_t', 'nodeId'), param('uint32_t', 'resourceId')])
+    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::UpdateNodeSize(uint32_t nodeId, double width, double height) [member function]
+    cls.add_method('UpdateNodeSize', 
                    'void', 
-                   [param('bool', 'restart', default_value='false')])
-    ## animation-interface.h (module 'netanim'): void ns3::AnimationInterface::StopAnimation() [member function]
-    cls.add_method('StopAnimation', 
-                   'void', 
-                   [])
+                   [param('uint32_t', 'nodeId'), param('double', 'width'), param('double', 'height')])
     return
 
 def register_Ns3AttributeConstructionList_methods(root_module, cls):
-    ## attribute-construction-list.h (module 'core'): ns3::AttributeConstructionList::AttributeConstructionList(ns3::AttributeConstructionList const & arg0) [copy constructor]
+    ## attribute-construction-list.h (module 'core'): ns3::AttributeConstructionList::AttributeConstructionList(ns3::AttributeConstructionList const & arg0) [constructor]
     cls.add_constructor([param('ns3::AttributeConstructionList const &', 'arg0')])
     ## attribute-construction-list.h (module 'core'): ns3::AttributeConstructionList::AttributeConstructionList() [constructor]
     cls.add_constructor([])
-    ## attribute-construction-list.h (module 'core'): void ns3::AttributeConstructionList::Add(std::string name, ns3::Ptr<ns3::AttributeChecker const> checker, ns3::Ptr<ns3::AttributeValue> value) [member function]
+    ## attribute-construction-list.h (module 'core'): void ns3::AttributeConstructionList::Add(std::string name, ns3::Ptr<const ns3::AttributeChecker> checker, ns3::Ptr<ns3::AttributeValue> value) [member function]
     cls.add_method('Add', 
                    'void', 
                    [param('std::string', 'name'), param('ns3::Ptr< ns3::AttributeChecker const >', 'checker'), param('ns3::Ptr< ns3::AttributeValue >', 'value')])
-    ## attribute-construction-list.h (module 'core'): std::_List_const_iterator<ns3::AttributeConstructionList::Item> ns3::AttributeConstructionList::Begin() const [member function]
+    ## attribute-construction-list.h (module 'core'): ns3::AttributeConstructionList::CIterator ns3::AttributeConstructionList::Begin() const [member function]
     cls.add_method('Begin', 
-                   'std::_List_const_iterator< ns3::AttributeConstructionList::Item >', 
+                   'ns3::AttributeConstructionList::CIterator', 
                    [], 
                    is_const=True)
-    ## attribute-construction-list.h (module 'core'): std::_List_const_iterator<ns3::AttributeConstructionList::Item> ns3::AttributeConstructionList::End() const [member function]
+    ## attribute-construction-list.h (module 'core'): ns3::AttributeConstructionList::CIterator ns3::AttributeConstructionList::End() const [member function]
     cls.add_method('End', 
-                   'std::_List_const_iterator< ns3::AttributeConstructionList::Item >', 
+                   'ns3::AttributeConstructionList::CIterator', 
                    [], 
                    is_const=True)
-    ## attribute-construction-list.h (module 'core'): ns3::Ptr<ns3::AttributeValue> ns3::AttributeConstructionList::Find(ns3::Ptr<ns3::AttributeChecker const> checker) const [member function]
+    ## attribute-construction-list.h (module 'core'): ns3::Ptr<ns3::AttributeValue> ns3::AttributeConstructionList::Find(ns3::Ptr<const ns3::AttributeChecker> checker) const [member function]
     cls.add_method('Find', 
                    'ns3::Ptr< ns3::AttributeValue >', 
                    [param('ns3::Ptr< ns3::AttributeChecker const >', 'checker')], 
@@ -631,7 +2217,7 @@
 def register_Ns3AttributeConstructionListItem_methods(root_module, cls):
     ## attribute-construction-list.h (module 'core'): ns3::AttributeConstructionList::Item::Item() [constructor]
     cls.add_constructor([])
-    ## attribute-construction-list.h (module 'core'): ns3::AttributeConstructionList::Item::Item(ns3::AttributeConstructionList::Item const & arg0) [copy constructor]
+    ## attribute-construction-list.h (module 'core'): ns3::AttributeConstructionList::Item::Item(ns3::AttributeConstructionList::Item const & arg0) [constructor]
     cls.add_constructor([param('ns3::AttributeConstructionList::Item const &', 'arg0')])
     ## attribute-construction-list.h (module 'core'): ns3::AttributeConstructionList::Item::checker [variable]
     cls.add_instance_attribute('checker', 'ns3::Ptr< ns3::AttributeChecker const >', is_const=False)
@@ -641,26 +2227,39 @@
     cls.add_instance_attribute('value', 'ns3::Ptr< ns3::AttributeValue >', is_const=False)
     return
 
+def register_Ns3BandInfo_methods(root_module, cls):
+    ## spectrum-model.h (module 'spectrum'): ns3::BandInfo::BandInfo() [constructor]
+    cls.add_constructor([])
+    ## spectrum-model.h (module 'spectrum'): ns3::BandInfo::BandInfo(ns3::BandInfo const & arg0) [constructor]
+    cls.add_constructor([param('ns3::BandInfo const &', 'arg0')])
+    ## spectrum-model.h (module 'spectrum'): ns3::BandInfo::fc [variable]
+    cls.add_instance_attribute('fc', 'double', is_const=False)
+    ## spectrum-model.h (module 'spectrum'): ns3::BandInfo::fh [variable]
+    cls.add_instance_attribute('fh', 'double', is_const=False)
+    ## spectrum-model.h (module 'spectrum'): ns3::BandInfo::fl [variable]
+    cls.add_instance_attribute('fl', 'double', is_const=False)
+    return
+
 def register_Ns3Buffer_methods(root_module, cls):
+    ## buffer.h (module 'network'): ns3::Buffer::Buffer(ns3::Buffer const & o) [constructor]
+    cls.add_constructor([param('ns3::Buffer const &', 'o')])
     ## buffer.h (module 'network'): ns3::Buffer::Buffer() [constructor]
     cls.add_constructor([])
     ## buffer.h (module 'network'): ns3::Buffer::Buffer(uint32_t dataSize) [constructor]
     cls.add_constructor([param('uint32_t', 'dataSize')])
     ## buffer.h (module 'network'): ns3::Buffer::Buffer(uint32_t dataSize, bool initialize) [constructor]
     cls.add_constructor([param('uint32_t', 'dataSize'), param('bool', 'initialize')])
-    ## buffer.h (module 'network'): ns3::Buffer::Buffer(ns3::Buffer const & o) [copy constructor]
-    cls.add_constructor([param('ns3::Buffer const &', 'o')])
-    ## buffer.h (module 'network'): bool ns3::Buffer::AddAtEnd(uint32_t end) [member function]
+    ## buffer.h (module 'network'): void ns3::Buffer::AddAtEnd(uint32_t end) [member function]
     cls.add_method('AddAtEnd', 
-                   'bool', 
+                   'void', 
                    [param('uint32_t', 'end')])
     ## buffer.h (module 'network'): void ns3::Buffer::AddAtEnd(ns3::Buffer const & o) [member function]
     cls.add_method('AddAtEnd', 
                    'void', 
                    [param('ns3::Buffer const &', 'o')])
-    ## buffer.h (module 'network'): bool ns3::Buffer::AddAtStart(uint32_t start) [member function]
+    ## buffer.h (module 'network'): void ns3::Buffer::AddAtStart(uint32_t start) [member function]
     cls.add_method('AddAtStart', 
-                   'bool', 
+                   'void', 
                    [param('uint32_t', 'start')])
     ## buffer.h (module 'network'): ns3::Buffer::Iterator ns3::Buffer::Begin() const [member function]
     cls.add_method('Begin', 
@@ -682,11 +2281,6 @@
                    'ns3::Buffer', 
                    [param('uint32_t', 'start'), param('uint32_t', 'length')], 
                    is_const=True)
-    ## buffer.h (module 'network'): ns3::Buffer ns3::Buffer::CreateFullCopy() const [member function]
-    cls.add_method('CreateFullCopy', 
-                   'ns3::Buffer', 
-                   [], 
-                   is_const=True)
     ## buffer.h (module 'network'): uint32_t ns3::Buffer::Deserialize(uint8_t const * buffer, uint32_t size) [member function]
     cls.add_method('Deserialize', 
                    'uint32_t', 
@@ -696,16 +2290,6 @@
                    'ns3::Buffer::Iterator', 
                    [], 
                    is_const=True)
-    ## buffer.h (module 'network'): int32_t ns3::Buffer::GetCurrentEndOffset() const [member function]
-    cls.add_method('GetCurrentEndOffset', 
-                   'int32_t', 
-                   [], 
-                   is_const=True)
-    ## buffer.h (module 'network'): int32_t ns3::Buffer::GetCurrentStartOffset() const [member function]
-    cls.add_method('GetCurrentStartOffset', 
-                   'int32_t', 
-                   [], 
-                   is_const=True)
     ## buffer.h (module 'network'): uint32_t ns3::Buffer::GetSerializedSize() const [member function]
     cls.add_method('GetSerializedSize', 
                    'uint32_t', 
@@ -737,7 +2321,7 @@
     return
 
 def register_Ns3BufferIterator_methods(root_module, cls):
-    ## buffer.h (module 'network'): ns3::Buffer::Iterator::Iterator(ns3::Buffer::Iterator const & arg0) [copy constructor]
+    ## buffer.h (module 'network'): ns3::Buffer::Iterator::Iterator(ns3::Buffer::Iterator const & arg0) [constructor]
     cls.add_constructor([param('ns3::Buffer::Iterator const &', 'arg0')])
     ## buffer.h (module 'network'): ns3::Buffer::Iterator::Iterator() [constructor]
     cls.add_constructor([])
@@ -754,6 +2338,11 @@
                    'uint32_t', 
                    [param('ns3::Buffer::Iterator const &', 'o')], 
                    is_const=True)
+    ## buffer.h (module 'network'): uint32_t ns3::Buffer::Iterator::GetRemainingSize() const [member function]
+    cls.add_method('GetRemainingSize', 
+                   'uint32_t', 
+                   [], 
+                   is_const=True)
     ## buffer.h (module 'network'): uint32_t ns3::Buffer::Iterator::GetSize() const [member function]
     cls.add_method('GetSize', 
                    'uint32_t', 
@@ -777,6 +2366,10 @@
     cls.add_method('Next', 
                    'void', 
                    [param('uint32_t', 'delta')])
+    ## buffer.h (module 'network'): uint8_t ns3::Buffer::Iterator::PeekU8() [member function]
+    cls.add_method('PeekU8', 
+                   'uint8_t', 
+                   [])
     ## buffer.h (module 'network'): void ns3::Buffer::Iterator::Prev() [member function]
     cls.add_method('Prev', 
                    'void', 
@@ -789,6 +2382,10 @@
     cls.add_method('Read', 
                    'void', 
                    [param('uint8_t *', 'buffer'), param('uint32_t', 'size')])
+    ## buffer.h (module 'network'): void ns3::Buffer::Iterator::Read(ns3::Buffer::Iterator start, uint32_t size) [member function]
+    cls.add_method('Read', 
+                   'void', 
+                   [param('ns3::Buffer::Iterator', 'start'), param('uint32_t', 'size')])
     ## buffer.h (module 'network'): uint16_t ns3::Buffer::Iterator::ReadLsbtohU16() [member function]
     cls.add_method('ReadLsbtohU16', 
                    'uint16_t', 
